| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::tracking::kalman_filters::UnscentedKalmanFilter Class Referenceabstract

The interface for Unscented Kalman filter and Augmented Unscented Kalman filter. More...

`#include <opencv2/tracking/kalman_filters.hpp>`

Collaboration diagram for cv::detail::tracking::kalman_filters::UnscentedKalmanFilter:

## Public Member Functions
virtual | ~UnscentedKalmanFilter ()
virtual Mat | correct (InputArray measurement)=0
virtual Mat | getErrorCov () const =0
virtual Mat | getMeasurementNoiseCov () const =0
virtual Mat | getProcessNoiseCov () const =0
virtual Mat | getState () const =0
virtual Mat | predict (InputArray control=noArray())=0

## Detailed Description

The interface for Unscented Kalman filter and Augmented Unscented Kalman filter.

## Constructor & Destructor Documentation

## ◆ ~UnscentedKalmanFilter()

virtual cv::detail::tracking::kalman_filters::UnscentedKalmanFilter::~UnscentedKalmanFilter | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ correct()

virtual Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilter::correct | ( | InputArray | measurement | ) |
| pure virtual

The function performs correction step of the algorithm

Parameters

  measurement | - the current measurement vector,

Returns
  the corrected estimate of the state.

## ◆ getErrorCov()

virtual Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilter::getErrorCov | ( |  | ) | const
| pure virtual

Returns
  the error cross-covariance matrix.

## ◆ getMeasurementNoiseCov()

virtual Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilter::getMeasurementNoiseCov | ( |  | ) | const
| pure virtual

Returns
  the measurement noise cross-covariance matrix.

## ◆ getProcessNoiseCov()

virtual Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilter::getProcessNoiseCov | ( |  | ) | const
| pure virtual

Returns
  the process noise cross-covariance matrix.

## ◆ getState()

virtual Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilter::getState | ( |  | ) | const
| pure virtual

Returns
  the current estimate of the state.

## ◆ predict()

virtual Mat cv::detail::tracking::kalman_filters::UnscentedKalmanFilter::predict | ( | InputArray | control = noArray() | ) |
| pure virtual

The function performs prediction step of the algorithm

Parameters

  control | - the current control vector,

Returns
  the predicted estimate of the state.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- opencv2/tracking/kalman_filters.hpp